summaryrefslogtreecommitdiff
path: root/dev-python/astroid
diff options
context:
space:
mode:
authorCrucible <crucible@localhost>2026-10-08 20:55:35 -0500
committerCrucible <crucible@localhost>2026-10-08 20:55:35 -0500
commit010e9f026af7b24ae016a3d084cc03f3198fae6e (patch)
treeb04639857933458c83309f7f116a0553f8623111 /dev-python/astroid
parentac0126af4bbed1cc9dd34c9d8394875eb06f1ad9 (diff)
downloadsrcux-010e9f026af7b24ae016a3d084cc03f3198fae6e.tar.gz
srcux-010e9f026af7b24ae016a3d084cc03f3198fae6e.tar.xz
srcux-010e9f026af7b24ae016a3d084cc03f3198fae6e.zip
Publish srcux candidate 0000000591-20261008-205339
Diffstat (limited to 'dev-python/astroid')
-rw-r--r--dev-python/astroid/Manifest2
-rw-r--r--dev-python/astroid/astroid-4.3.4.ebuild86
2 files changed, 88 insertions, 0 deletions
diff --git a/dev-python/astroid/Manifest b/dev-python/astroid/Manifest
index 344aae12adf1..a4efc965adeb 100644
--- a/dev-python/astroid/Manifest
+++ b/dev-python/astroid/Manifest
@@ -8,3 +8,5 @@ DIST astroid-4.3.2.tar.gz 441025 BLAKE2B 0d6cb9e7e6e948b4482741ea979ab57f68f6033
DIST astroid-4.3.2.tar.gz.provenance 9460 BLAKE2B 5d49cbf84588e34e40022b30d7f954f1fd371091a5dea295e29b511da84f61c90867a27d224bea1fa1837f24df8c897a1bac71d73be9daac0c454be3b90972f8 SHA512 fa5f846fcf8edb37d8794ec24f26471c831eba617cc5558942853742bc6e22614cc3ef880ad20aec1aaedc3cd74bbbb1327ea1349d7b499dbda39f3d5d6edf98
DIST astroid-4.3.3.tar.gz 441522 BLAKE2B 30918e85e936f789605f543076e7bba632914a7f597b671ea4e462ee6dda0f2dee6e8d0ac1708b029ea93101095ea4c95858fb88b08e8e47d170551965d757a1 SHA512 64393221fed99bd2bb23a6efb5db9d3471027b677aa5c5eea2b4d0145acf07b8b29be2b6541b03d5835521e571064b4574d9fe65df163f19cc8bf7882ee60ec3
DIST astroid-4.3.3.tar.gz.provenance 9809 BLAKE2B 27632f59fb14daf9ecb024764801b96887155a72e0e9811fe6c237a84ab8d8cc17eb80bd6ce257948e4895bd99342cdf32d9bb1e3fa33120de6ffb1e8f153070 SHA512 181be6ddc0aab7cc1612438bd4042dabead8b714c512b1151a6c8a88d653d27222043dd4d41c24e83894cbed663af3970f9ef52ac0aff474b38bc1e89452b511
+DIST astroid-4.3.4.tar.gz 444627 BLAKE2B 0962fdabea3d7a87d427b368da64e42a0ad3a4061f0d3019a247b1535648b137c381f6fde7892224e92b1b217a9680c0e84a6df7036cfebe3c160ea187458527 SHA512 8774d93883549cf8bc956d8a705a098cc48883cb677aed961a0f4c5cbda8b703a940a459164a6d9ca7fee9d9435290789c78ccfe067b959e774ced82388c8505
+DIST astroid-4.3.4.tar.gz.provenance 9540 BLAKE2B 6bba676540c6d3cff9560b4578f34fee9e7265b1eb400ec93733077a311e737554030773a539032b35e81ad28501c022a6b7b65075328f3aa947d54ab418b48f SHA512 628225f6e572db3a06a11292d3d9089425e64547de7d00a8623aee22b1f63498a72cd345f92ab70cb48cb04cc3bf326f6844d9b891c90f8aff412b3704069c17
diff --git a/dev-python/astroid/astroid-4.3.4.ebuild b/dev-python/astroid/astroid-4.3.4.ebuild
new file mode 100644
index 000000000000..a262de696687
--- /dev/null
+++ b/dev-python/astroid/astroid-4.3.4.ebuild
@@ -0,0 +1,86 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_VERIFY_REPO=https://github.com/pylint-dev/astroid
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Abstract Syntax Tree for logilab packages"
+HOMEPAGE="
+ https://github.com/pylint-dev/astroid/
+ https://pypi.org/project/astroid/
+"
+
+LICENSE="LGPL-2.1+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+# dev-python/regex isn't available for pypy
+BDEPEND="
+ dev-python/setuptools-scm[${PYTHON_USEDEP}]
+ test? (
+ dev-python/attrs[${PYTHON_USEDEP}]
+ >=dev-python/numpy-1.17.0[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ dev-python/regex[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
+
+python_test() {
+ local EPYTEST_IGNORE=()
+ local EPYTEST_DESELECT=(
+ # hangs randomly
+ tests/test_nodes.py::AsStringTest::test_recursion_error_trapped
+ # no clue why they're broken
+ tests/test_modutils.py::GetModulePartTest::test_known_values_get_builtin_module_part
+ # TODO
+ tests/test_builder.py::BuilderTest::test_data_build_error_filename
+ # numpy-2 (https://github.com/pylint-dev/astroid/issues/2442)
+ tests/brain/numpy/test_core_einsumfunc.py::test_numpy_function_calls_inferred_as_ndarray
+ tests/brain/numpy/test_core_fromnumeric.py::BrainNumpyCoreFromNumericTest::test_numpy_function_calls_inferred_as_ndarray
+ tests/brain/numpy/test_core_multiarray.py::BrainNumpyCoreMultiarrayTest::test_numpy_function_calls_inferred_as_ndarray
+ tests/brain/numpy/test_core_numerictypes.py::NumpyBrainCoreNumericTypesTest::test_datetime_astype_return
+ tests/brain/numpy/test_core_numerictypes.py::NumpyBrainCoreNumericTypesTest::test_generic_types_are_subscriptables
+ tests/brain/numpy/test_core_umath.py::NumpyBrainCoreUmathTest::test_numpy_core_umath_functions_return_type
+ tests/brain/numpy/test_core_umath.py::NumpyBrainCoreUmathTest::test_numpy_core_umath_functions_return_type_tuple
+ # old pythons only
+ tests/brain/test_dataclasses.py::test_pydantic_field
+ tests/test_regrtest.py::NonRegressionTests::test_numpy_distutils
+ # -Werror, sigh
+ tests/test_nodes.py::test_deprecated_nodes_import_from_toplevel
+ )
+
+ if ! has_version "dev-python/mypy[${PYTHON_USEDEP}]"; then
+ EPYTEST_IGNORE+=(
+ tests/test_raw_building.py
+ )
+ fi
+
+ case ${EPYTHON} in
+ python3.15)
+ EPYTEST_DESELECT+=(
+ tests/brain/test_brain.py::TypingBrain::test_typing_object_notsubscriptable_3
+ tests/brain/test_dataclasses.py::test_kw_only_sentinel
+ tests/test_regrtest.py::test_regression_parse_deeply_nested_parentheses
+ )
+ ;;
+ esac
+
+ if ! has_version "dev-python/pkg-resources[${PYTHON_USEDEP}]"; then
+ EPYTEST_DESELECT+=(
+ # tests a package using pkg_resources
+ tests/test_manager.py::AstroidManagerTest::test_identify_old_namespace_package_protocol
+ )
+ fi
+
+ epytest
+}